<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">
    <ScrollView
        android:id="@+id/ll_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="跟踪号" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_tracking_number"
                        />

                </LinearLayout>
                <LinearLayout
                    android:id="@+id/ll_box_number"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="箱    号" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_box_number"
                        />

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/ll_customer_code"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="客户编号" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_customer_code"
                        />

                    <TextView
                        android:id="@+id/tv_edit_customer"
                        style="@style/tvLeftStyle"
                        android:layout_height="42dp"
                        android:text="修改"
                        android:textColor="@color/actionsheet_blue" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_unit_code"
                style="@style/FromLinearLayoutItem"

                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:id="@+id/et_unit_code"
                    android:hint="扫描或者输入内件码"
                    android:text=""/>
                <include layout="@layout/item_image_close" />
            </LinearLayout>



            <LinearLayout
                android:id="@+id/ll_camera_picture_module"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"

                android:orientation="vertical">
            </LinearLayout>



            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                style="@style/LinearLayoutLoginStyle"
                android:background="@null"

                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_marginLeft="@dimen/dp_10"
                    style="@style/tvLeftStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="最近扫描：" />

                <TextView
                    style="@style/tvLeftStyle"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:textSize="@dimen/t24"
                    android:text="已拍照内件："
                    tools:ignore="RtlHardcoded">

                </TextView>
                <TextView
                    android:id="@+id/tv_qty"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/t24"
                    android:layout_marginRight="10dp"
                    android:textColor="@color/actionsheet_red"
                    android:text="0">

                </TextView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:scrollbars="vertical"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                >
                <android.support.v7.widget.RecyclerView
                    android:id="@+id/recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:overScrollMode="never"/>
            </LinearLayout>



            <LinearLayout
                android:id="@+id/ll_btn_clear"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:layout_gravity="bottom"
                android:visibility="gone"
                android:padding="10dp">
                <TextView
                    style="@style/fontSize"
                    android:id="@+id/btn_clear"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="切换彩盒"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_btn_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:layout_gravity="bottom"
                android:visibility="gone"
                android:padding="10dp">
                <TextView
                    style="@style/fontSize"
                    android:id="@+id/btn_confirm"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="入库完成"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>



            <include layout="@layout/item_upload_await_number" />


        </LinearLayout>


    </ScrollView>


</LinearLayout>